#
# spec file for package emacs-magit
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           emacs-magit-popup
Version:        2.12.4
Release:        1.2
Summary:        Interface for toggling switches and setting options to invoke a command.
License:        GPL-3.0+
Group:          Productivity/Editors/Emacs
Url:            https://github.com/magit/magit-popup/
Source0:        https://github.com/magit/magit-popup/archive/magit-popup-%{version}.tar.gz
BuildRequires:  emacs-nox
BuildRequires:  emacs-dash
BuildRequires:  git-core
BuildRequires:  make
BuildRequires:  makeinfo
Requires:       emacs
Requires:       emacs-dash
Requires:       git-core
Obsoletes:      emacs-magit < 2.11.0
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%define _lispdir %{_datadir}/emacs/site-lisp/

%description
This package implements a generic interface for toggling switches and setting options and then invoking an Emacs command,
which does something with these arguments. The prototypical use is for the command to call an external process,
passing on the arguments as command line arguments. But this is only one of many possible uses (though the one this library
is optimized for).

%prep
%setup -q -n magit-popup-%{version}

%build
make PREFIX=%{_prefix} DESTDIR=%{buildroot} lispdir=%{_lispdir} LOAD_PATH="-L %{_lispdir} -L ./lisp -L ." all

%install
mkdir -p %{buildroot}%{_lispdir}
cp -p magit-popup.el* magit-popup-autoloads.el %{buildroot}%{_lispdir}
mkdir -p %{buildroot}%{_infodir}
cp -p magit-popup.info %{buildroot}%{_infodir}/

%post
%install_info --info-dir=%{_infodir} %{_infodir}/magit-popup.info

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/magit-popup.info

%files
%defattr(-,root,root,-)
%doc README.md
%doc AUTHORS.md
%{_lispdir}/magit*.el
%{_lispdir}/magit*.elc
%{_infodir}/magit-popup.info.gz

%changelog
* Mon Oct  8 2018 auxsvr@gmail.com
- Version 2.12.4
* Sun Dec  3 2017 auxsvr@gmail.com
- Initial version
